Le travail a commencé pour installer Mojave sur les anciens Mac

Nicolas Furno |

macOS Mojave restreint le parc de Mac compatibles, puisque la nouvelle version du système, actuellement en bêta, nécessite une carte graphique compatible Metal 2. Soit un Mac de 2012 au minimum, là où High Sierra remontait jusqu’à 2009 pour certains modèles. Les raisons précises de ce changement ne sont pas connues, mais on imagine qu’Apple a réécrit au moins en partie son système pour exploiter davantage la dernière version de son API graphique. Metal 2 ne fonctionne pas sur les puces graphiques qui équipent les Mac sortis avant 2012 et c’est ce qui explique la restriction.

macOS Mojave sur un MacBook Air de 2011, avec des bugs graphiques (l’heure dans la barre des menus).

Cela n’empêche pas certains développeurs aventureux d’essayer de faire fonctionner macOS 10.14 sur ces Mac jugés trop vieux par Apple. Le travail a commencé dès la sortie de la première bêta et vous pouvez suivre ses progrès sur les forums de Mac Rumors. Tout n’est pas terminé et il reste de nombreux bugs graphiques, ce qui est logique puisque c’est justement ce qui a changé dans Mojave. Dans certains cas, le système sera inexploitable, parfois c’est le Wi-Fi qui ne fonctionnera pas… référez-vous à la liste pour savoir ce qu’il en est pour votre Mac.

Précisons qu’un Core 2 Duo est nécessaire au minimum pour installer Mojave. Pour le reste, cela dépend surtout de votre carte graphique : si vous avez une carte AMD, pour le moment il n’y a pas de solution. Avec une carte Nvidia ou la puce graphique intégrée à un processeur Intel, macOS 10.14 tourne apparemment bien, en tout cas sans kernel panics réguliers. En revanche, il faut toujours composer avec des bugs graphiques, qui sont surtout visibles en mode clair. Faute de mieux, activer le mode foncé ou désactiver la transparence en mode clair sont les deux solutions recommandées.

Voici la liste des Mac qui peuvent installer macOS Mojave, avec les éventuels problèmes qui doivent encore être réglés.

Si vous voulez tenter l’aventure Mojave sur votre Mac, pensez bien à le sauvegarder et suivez le guide. Les concepteurs de ce patch recommandent de ne pas l’utiliser sur une machine de travail et de s’en tenir à des tests à ce stade.

Source
merci Link1993
avatar mixou49 | 

j’espère que sa fonctionnera sur un imac de 2010 (27 pouces)

avatar Link1993 | 

@mixou49

Sans problèmes ^^

Il me semble que ce modem avait une carte AMD, mais avec un processeur iX, donc au pire, tu peux utiliser le processeur graphique intégré, et la ça marche ! ^^

avatar pecos | 

Ah.
Je ne crois pas du tout qu'on puisse utiliser une éventuelle puce intégrée avec un iMac 2010 27".
S'il n'y a pas de support complet de la radeon 5750 c'est juste mort.

avatar Link1993 | 

@pecos

Je parlais de la puce intégré au CPU Intel. Il me semblait que c'était avec ces processeurs que c'est arrivé. En tout cas, la carte que tu indique n'est pas supporté en effet :/

avatar pecos | 

sur un portable c'est probable...
Mais sur un iMac je ne vois pas comment on peut switcher sur une éventuelle puce intégrée.
Ce n'est juste pas prévu : seule la CG PCI express fonctionne.

avatar Link1993 | 

@pecos

Il me semblait que non justement. Mais après recherche, il semblerait que la carte intégrée n'est pas raccordé en effet :/
A tester en supprimant les kext concernant les carte AMD ! ^^

avatar yculand | 

Je confirme, c'est possible de l'installer, mais les vidéos posent problèmes.
Donc inutilisable !

avatar Benitochoco | 

Mais vraiment ça n'a aucun intérêt de faire ça. Surtout sur un Mac ou High Sierra tourne nickel.

avatar yculand | 

Effectivement High Sierra tourne nickel !

avatar android3665 | 

J'espère que ca fonctionnera bien sur mon Hackintosh qui fonctionne déjà nickel sur High Sierra ( 1.13.6)

avatar yculand | 

pour info:
J'ai essayé Mojave avec mon imac 27 de mi-2010.
Je suis revenu à high sierra parce que la carte graphique posait des problèmes vidéos assez graves, par exemple impossible d'utiliser VLC ou autres lecteurs video.
Conclusion : Je déconseille Mojave pour imac 27 de mi-2010.

avatar Link1993 | 

Aller, juste pour faire mon attention whore : et la source de l'info alors ? :p

avatar Nicolas Furno | 

@Link1993

Oups, j'avais totalement oublié. Je corrige de ce pas, et encore merci pour l'info !

avatar Link1993 | 

@nicolasf

Arf, t'inquiètes ! ^^

J'attends plus que la résolution du bug graphique, mais pour l'instant c'est très prometteur sur un MacBook blanc mid 2009 (MacBook 5.2)

avatar charlie105 | 

J’ai justement un Air de 2011, pour le moment je n’ai pas osé aller au delà de El Capitan. Ça ne ramera pas trop? Et question espace disque?

avatar Link1993 | 

@charlie105

Celui là normalement supporte high-tech sierra sans problème, et comme le Air a un SSD, ça tourne plutôt correctement.

Je fais tourner high sierra sur un MacBook 5.2 (donc 2009), et à part chauffer pas mal (c'est surtout le cas depuis Yosemite), il tient bien la route, donc ton Air ne devrai pas avoir de problème. Pour Mojave, pareil, a part les buts graphiques, tu n'as pas de soucis non plus ^^

Lien de la vidéo du developer :
https://youtu.be/5uyYVCiYFuE

avatar charlie105 | 

@Link1993

Ok merci!

avatar jackhal | 

Ça n'est pas par rapport à Link1993 que j'écris ça, mais je te déconseille de te fier au jugement d'autres personnes.
Je ne compte plus le nombre de fois où j'ai lu que tel ou tel version tournait "comme une horloge" sur un modèle que j'avais, alors que je percevais une nette dégradation des perfs. Comme quoi ce genre d'appréciation est très subjective... surtout que vous ne donnez pas d'indications très claires de ce que vous avez respectivement, notamment au niveau RAM.
Bref, un Time Machine pour pouvoir revenir en arrière est toujours un plus.

Et pour rappel (peut-être le sais-tu déjà), il est aussi conseillé de tester au moins quelques jours, puisque quelques temps après une install, macOS effectue encore des tâches qui ralentissent la machine. En clair : ça n'est pas dans les premières heures d'utilisation qu'on peut se faire une idée correcte.

avatar MacGyver | 

je me pose la meme question pour un mb uniboby 2008.

sur le papier, il pourrait supporter mais je me demande si le nouvel OS demande plus de puissance, ou au contraire est optimisé et donc plus "leger"

ce mb a deja un SSD + 8go de ram et tourne pas mal sous El Capitan bien qu'il ventile pas mal des que j'ai plusieurs onglets sur chrome ou firefox

avatar thomasi | 

Et pour les mises à jour ça ce passe comment ?

avatar thomasi | 

Pour passer à la prochaine bêta

avatar DeluxePainter | 

Si le seul problème est un problème de transparence que l’on peut ôter en enlevant les effets de transparence dans les réglages d’Accessibilité alors c’est magnifique.

Je vais attendre au moins la sortie définitive de Mojave.

Mais j’aimerais bien pour utiliser le dernier Xcode et les fonctions spécifiques de Mojave comme pouvoir implémenter le mode sombre.

avatar MacGyver | 

mon macbook unibody late 2008 et encore vaillant et vous dira peut etre merci (enfin, si le reste de mojave est pas pourrave, sinon, je reste sur El Capitan)

avatar Simmalt | 

@MacGyver

J'ai High Sierra sur mon MB late 2008, j'avais fait le deuil de ce nouvel OS mais j'hallucine de constater qu'il pourra(it) encore "l'avaler" ??.

Bientôt 10 ans, le pépère, et toujours dans la course (ok, en ventilant pas mal et après moult modifications telles que ram 8go ou SSD + HDD montés en Fusion Drive).

1200€ à l'époque, bien dépensés.

avatar Vladimok | 

Toujours la course aux nouvelles version une fois par an !

Au fait mon Mac de fin 2013 sera t-il compatible, ou cela va ramer dur !

Pages

CONNEXION UTILISATEUR